package de.intevation.flys.client.shared.model;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;


/**
 * The artifact collection.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface Collection extends Serializable {

    public String identifier();

    public String getName();

    public Date getCreationTime();

    public Date getLastAccess();

    public long getTTL();

    public void addItem(CollectionItem item);

    public int getItemLength();

    public CollectionItem getItem(int idx);

    public Map<String, OutputMode> getOutputModes();

    public ThemeList getThemeList(String outName);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
